package com.fos.modules.userPre.service;

import java.util.List;

import org.springframework.stereotype.Service;

import com.fos.core.base.CurdService;
import com.fos.modules.userPre.bean.UserPreBean;
import com.fos.modules.userPre.dao.UserPreDao;
import com.fos.modules.userPre.entity.UserPreDrinkEntity;
import com.fos.modules.userPre.entity.UserPreDrinkTasteEntity;
import com.fos.modules.userPre.entity.UserPreEntity;
import com.fos.modules.userPre.entity.UserPreFoodEntity;
import com.fos.modules.userPre.entity.UserPreFoodTasteEntity;

@Service
public class UserPreService extends CurdService<UserPreDao, UserPreEntity>{

	//获取该用户前3喜欢的食物
	public List<UserPreFoodEntity> getUserPreFood(UserPreBean userPreBean){
		return dao.getUserPreFood(userPreBean);
	}
	
	//获取该用户前3喜欢的食物口味
	public List<UserPreFoodTasteEntity> getUserPreFoodTaste(UserPreBean userPreBean){
		return dao.getUserPreFoodTaste(userPreBean);
	}
	
	//获取该用户前3喜欢的喝的
	public List<UserPreDrinkEntity> getUserPreDrink(UserPreBean userPreBean){
		return dao.getUserPreDrink(userPreBean);
	}
	
	//获取该用户前3喜欢的喝的口味
	public List<UserPreDrinkTasteEntity> getUserPreDrinkTaste(UserPreBean userPreBean){
		return dao.getUserPreDrinkTaste(userPreBean);
	}
}
